Package org.eclipse.emf.cdo.common.security

## Class NoPermissionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.SecurityException
        - - org.eclipse.emf.cdo.common.security.NoPermissionException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class NoPermissionException
      extends java.lang.SecurityException

  A `security exception` indicating the lack of permission required to do something.
  Since:
    4.1
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NoPermissionException​(java.lang.Object protectableObject)` |
    `NoPermissionException​(java.lang.Object protectableObject, java.lang.String message)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getProtectableObject()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NoPermissionException

          public NoPermissionException​(java.lang.Object protectableObject)

    - #### NoPermissionException

          public NoPermissionException​(java.lang.Object protectableObject,
                                       java.lang.String message)

  - ### Method Detail

    - #### getProtectableObject

          public java.lang.Object getProtectableObject()